NEWS

Admin Scripte Tab lädt nach Update nicht mehr


  • Starter

    Hallo,

    ich habe heute versucht bei dem Javascript Engine Adapter ein Update von 3.6.4 auf 4.1.12 durchzuführen. Allerdings lädt nun der Tab auf der Admin Seite nicht mehr, nur ein neues Lade-Icon ist zu sehen. Ich kann aber weiterhin meine Scripte über js2file editieren und über die States neustarten (was natürlich auf dauer keine Lösung ist). Ist das ein bekannter Fehler? Ich habe dazu leider nicht, was mir geholfen hätte, gefunden.

    Zusätzlich habe ich noch ein weiters Problem mit der Admin Seite. Teilweise, wenn ich versuche die Seite zu öffnen, lädt sie zwar, aber die Seitenleiste wird nicht befüllt und beim main content ist nur ein Lade-Kreis. Wenn ich den kompletten cache lösche funktionierts meistens ...

    Vielen Dank schon mal, falls mir jemand helfen kann 😄
    Hier noch mein Statistik output:

    {
      "uuid": "97f100fc-41d6-3e79-ba78-3beb67507dad",
      "language": "de",
      "country": "Germany",
      "hosts": [
        {
          "version": "1.5.7",
          "platform": "Javascript/Node.js",
          "type": "linux"
        }
      ],
      "node": "v8.15.1",
      "arch": "arm",
      "adapters": {
        "admin": {
          "version": "3.6.0",
          "platform": "Javascript/Node.js"
        },
        "hm-rpc": {
          "version": "1.9.6",
          "platform": "Javascript/Node.js"
        },
        "hm-rega": {
          "version": "2.3.0",
          "platform": "Javascript/Node.js"
        },
        "web": {
          "version": "2.4.1",
          "platform": "Javascript/Node.js"
        },
        "flot": {
          "version": "1.9.2",
          "platform": "javascript/Node.js"
        },
        "rpi2": {
          "version": "0.3.2",
          "platform": "javascript/Node.js"
        },
        "socketio": {
          "version": "2.1.1",
          "platform": "Javascript/Node.js"
        },
        "cloud": {
          "version": "2.6.2",
          "platform": "Javascript/Node.js"
        },
        "vis": {
          "version": "1.1.10",
          "platform": "Javascript/Node.js"
        },
        "history": {
          "version": "1.8.5",
          "platform": "Javascript/Node.js"
        },
        "javascript": {
          "version": "4.1.12",
          "platform": "Javascript/Node.js"
        },
        "mobile": {
          "version": "0.4.11",
          "platform": "javascript/Node.js"
        },
        "dwd": {
          "version": "2.4.3",
          "platform": "javascript/Node.js"
        },
        "tr-064": {
          "version": "0.4.18",
          "platform": "Javascript/Node.js"
        },
        "maxcube": {
          "version": "0.1.2",
          "platform": "javascript/Node.js"
        },
        "js2fs": {
          "version": "0.1.5",
          "platform": "Javascript/Node.js"
        },
        "telegram": {
          "version": "1.3.5",
          "platform": "Javascript/Node.js"
        },
        "vis-hqwidgets": {
          "version": "1.1.2",
          "platform": "Javascript/Node.js"
        },
        "vis-justgage": {
          "version": "1.0.0",
          "platform": "Javascript/Node.js"
        },
        "vis-weather": {
          "version": "2.2.1",
          "platform": "Javascript/Node.js"
        },
        "vis-google-fonts": {
          "version": "0.1.0",
          "platform": "Javascript/Node.js"
        },
        "vis-timeandweather": {
          "version": "1.1.7",
          "platform": "Javascript/Node.js"
        },
        "vis-rgraph": {
          "version": "0.0.2",
          "platform": "Javascript/Node.js"
        },
        "vis-plumb": {
          "version": "1.0.1",
          "platform": "Javascript/Node.js"
        },
        "vis-jqui-mfd": {
          "version": "1.0.12",
          "platform": "Javascript/Node.js"
        },
        "vis-fancyswitch": {
          "version": "1.1.0",
          "platform": "Javascript/Node.js"
        },
        "icons-mfd-svg": {
          "version": "1.0.2",
          "platform": "javascript/Node.js"
        },
        "feiertage": {
          "version": "1.0.11",
          "platform": "javascript/Node.js"
        },
        "backitup": {
          "version": "1.1.2",
          "platform": "Javascript/Node.js"
        },
        "ical": {
          "version": "1.7.0",
          "platform": "Javascript/Node.js"
        },
        "simple-api": {
          "version": "2.0.0",
          "platform": "Javascript/Node.js"
        },
        "openweathermap": {
          "version": "0.1.0",
          "platform": "Javascript/Node.js"
        },
        "sql": {
          "version": "1.9.4",
          "platform": "Javascript/Node.js"
        }
      },
      "model": "ARMv7 Processor rev 4 (v7l)",
      "cpus": 4,
      "mem": 972234752,
      "ostype": "Linux",
      "vis": 490
    }
    

    Schöne Grüße

    walli546



  • @walli545 ich habe das gleiche Problem.
    Schein ein allgemeiner Bug zu sein.



  • Welche Versionen von Node/NPM/JS-Controller/Admin habt ihr installiert?

    Kommt eine Error Meldung in der Browser Konsole (F12)?


  • Starter

    @wendy2702

    Node: 8.15.1
    NPM: 6.4.1
    js-controller: 1.5.7
    Admin: 3.6.0

    Dieser log kommt:

    Subscribe logs
    blockly_compressed.js:893 WARNING: No message string for %{BKY_LOGIC_COMPARE_TOOLTIP_EQ}.
    blockly_compressed.js:893 WARNING: No message string for %{BKY_LOGIC_COMPARE_TOOLTIP_NEQ}.
    blockly_compressed.js:893 WARNING: No message string for %{BKY_LOGIC_COMPARE_TOOLTIP_LT}.
    blockly_compressed.js:893 WARNING: No message string for %{BKY_LOGIC_COMPARE_TOOLTIP_LTE}.
    blockly_compressed.js:893 WARNING: No message string for %{BKY_LOGIC_COMPARE_TOOLTIP_GT}.
    blockly_compressed.js:893 WARNING: No message string for %{BKY_LOGIC_COMPARE_TOOLTIP_GTE}.
    blockly_compressed.js:893 WARNING: No message string for %{BKY_LOGIC_OPERATION_TOOLTIP_AND}.
    blockly_compressed.js:893 WARNING: No message string for %{BKY_LOGIC_OPERATION_TOOLTIP_OR}.
    blockly_compressed.js:893 WARNING: No message string for %{BKY_CONTROLS_WHILEUNTIL_TOOLTIP_WHILE}.
    blockly_compressed.js:893 WARNING: No message string for %{BKY_CONTROLS_WHILEUNTIL_TOOLTIP_UNTIL}.
    blockly_compressed.js:893 WARNING: No message string for %{BKY_CONTROLS_FLOW_STATEMENTS_TOOLTIP_BREAK}.
    blockly_compressed.js:893 WARNING: No message string for %{BKY_CONTROLS_FLOW_STATEMENTS_TOOLTIP_CONTINUE}.
    blockly_compressed.js:893 WARNING: No message string for %{BKY_CONTROLS_FOR_TOOLTIP}.
    blockly_compressed.js:893 WARNING: No message string for %{BKY_CONTROLS_FOREACH_TOOLTIP}.
    blockly_compressed.js:893 WARNING: No message string for %{BKY_MATH_ARITHMETIC_TOOLTIP_ADD}.
    blockly_compressed.js:893 WARNING: No message string for %{BKY_MATH_ARITHMETIC_TOOLTIP_MINUS}.
    blockly_compressed.js:893 WARNING: No message string for %{BKY_MATH_ARITHMETIC_TOOLTIP_MULTIPLY}.
    blockly_compressed.js:893 WARNING: No message string for %{BKY_MATH_ARITHMETIC_TOOLTIP_DIVIDE}.
    blockly_compressed.js:893 WARNING: No message string for %{BKY_MATH_ARITHMETIC_TOOLTIP_POWER}.
    blockly_compressed.js:893 WARNING: No message string for %{BKY_MATH_SINGLE_TOOLTIP_ROOT}.
    blockly_compressed.js:893 WARNING: No message string for %{BKY_MATH_SINGLE_TOOLTIP_ABS}.
    blockly_compressed.js:893 WARNING: No message string for %{BKY_MATH_SINGLE_TOOLTIP_NEG}.
    blockly_compressed.js:893 WARNING: No message string for %{BKY_MATH_SINGLE_TOOLTIP_LN}.
    blockly_compressed.js:893 WARNING: No message string for %{BKY_MATH_SINGLE_TOOLTIP_LOG10}.
    blockly_compressed.js:893 WARNING: No message string for %{BKY_MATH_SINGLE_TOOLTIP_EXP}.
    blockly_compressed.js:893 WARNING: No message string for %{BKY_MATH_SINGLE_TOOLTIP_POW10}.
    blockly_compressed.js:893 WARNING: No message string for %{BKY_MATH_TRIG_TOOLTIP_SIN}.
    blockly_compressed.js:893 WARNING: No message string for %{BKY_MATH_TRIG_TOOLTIP_COS}.
    blockly_compressed.js:893 WARNING: No message string for %{BKY_MATH_TRIG_TOOLTIP_TAN}.
    blockly_compressed.js:893 WARNING: No message string for %{BKY_MATH_TRIG_TOOLTIP_ASIN}.
    blockly_compressed.js:893 WARNING: No message string for %{BKY_MATH_TRIG_TOOLTIP_ACOS}.
    blockly_compressed.js:893 WARNING: No message string for %{BKY_MATH_TRIG_TOOLTIP_ATAN}.
    blockly_compressed.js:893 WARNING: No message string for %{BKY_MATH_ONLIST_TOOLTIP_SUM}.
    blockly_compressed.js:893 WARNING: No message string for %{BKY_MATH_ONLIST_TOOLTIP_MIN}.
    blockly_compressed.js:893 WARNING: No message string for %{BKY_MATH_ONLIST_TOOLTIP_MAX}.
    blockly_compressed.js:893 WARNING: No message string for %{BKY_MATH_ONLIST_TOOLTIP_AVERAGE}.
    blockly_compressed.js:893 WARNING: No message string for %{BKY_MATH_ONLIST_TOOLTIP_MEDIAN}.
    blockly_compressed.js:893 WARNING: No message string for %{BKY_MATH_ONLIST_TOOLTIP_MODE}.
    blockly_compressed.js:893 WARNING: No message string for %{BKY_MATH_ONLIST_TOOLTIP_STD_DEV}.
    blockly_compressed.js:893 WARNING: No message string for %{BKY_MATH_ONLIST_TOOLTIP_RANDOM}.
    blockly_compressed.js:893 WARNING: No message string for %{BKY_MATH_CHANGE_TOOLTIP}.
    blockly_compressed.js:893 WARNING: No message string for %{BKY_TEXT_APPEND_TOOLTIP}.
    

    Gestern ging die Seite einmal kurz am Handy, ein zweites mal dann aber nicht mehr.



  • Hm,

    hast du mal einen anderen Browser probiert?

    Sonst würde ich mal einen Downgrade auf die alte Version machen.


  • Starter

    @wendy2702
    mit Edge und Firefox das gleiche Verhalten, inkl. log. Auch am Handy.

    Wie würde das gehen?



  • Schau mal hier:

    https://forum.iobroker.net/topic/20884/hue-adapter-error-socket-hang-up/10

    Da habe ich es für den HUE Adapter beschrieben. Für den Javascript Adapter dann halt für den machen.


  • Starter

    @wendy2702
    hab jetzt wieda auf 3.6.4 downgegraded.

    Hierbei lädt der frame aber auch teilweise nicht ...

    Könnte es sein, dass das mit https/auth zu tun hat? Ist ja auch nur ein iframe der /adapter/javascript/tab.html anzeigt.

    Habe auch mal alle Scripte entfernt und js2fs deaktivert und dann nochmal upgedated/downgegraded hat auch nichts gebracht...



  • Ich habe kein HTTPS/Auth aktiviert.

    Kannst du ja zum testen deaktivieren.


  • Starter

    Ich kann meine Vermutung bestätigen, wenn ich https und auth deaktiviere, funktioniert der admin und der scripte tab wieder einwandfrei.

    Eigentlich möchte ich aber weiterhin https und auth verwenden ... Hat eventuell jmd eine Idee an was das liegen könnte?

    Meine Vermutung warum der Admin teilweise unendlich lädt ist, dass evtl. die gespeicherten Login Daten in den Cookies nicht richtig restored werden. Wenn ich diese lösche gehts meistens. Vielleicht ist das Problem mit dem Scripte Tab auf das gleiche zurückzuführen.

    @Marty56 hast du ebenfalls https und auth aktiviert?



  • @walli545 Nein, ich habe HTTPS/Auth nicht aktiviert.



  • @walli545 said in Admin Scripte Tab lädt nach Update nicht mehr:

    Ich kann meine Vermutung bestätigen, wenn ich https und auth deaktiviere, funktioniert der admin und der scripte tab wieder einwandfrei.

    Eigentlich möchte ich aber weiterhin https und auth verwenden ... Hat eventuell jmd eine Idee an was das liegen könnte?

    Meine Vermutung warum der Admin teilweise unendlich lädt ist, dass evtl. die gespeicherten Login Daten in den Cookies nicht richtig restored werden. Wenn ich diese lösche gehts meistens. Vielleicht ist das Problem mit dem Scripte Tab auf das gleiche zurückzuführen.

    @Marty56 hast du ebenfalls https und auth aktiviert?

    Hast du eine Lösung für das Problem gefunden gehabt?

    Hab das selbe Problem sein heute und konnte folgendes rausfinden:

    Hab das Problem seit heute selber und konnte es etwas einschränken:

    Ist im Admin.0 Adapter bei "Ausführen als" der Standard "Admin" ausgewählt funktioniert alles ohne Probleme.
    Wählt man dort aber einen anderen User bzw. selbst angelegten Admin aus dann lässt sich der Skripte Tab nicht mehr öffnen.

    Auch wenn man die Authentifikation beim Admin.0 einschaltet und sich dann per Standard Admin einloggt geht es, mit dem selbst angelegten Admin allerdings nicht.

    Eine Fix, eine Lösung oder ein Workaround dafür wären schön.



  • Hier klinke ich mich mal ein, habe genau dieses Problem mit dem Skriptadapter schon seit der ersten 4er Version.
    Hatte auch schon viel getestet und dann bis gestern mit der 3.64 Version gearbeitet. Erst als ich hier gelesen habe, dass es mit dem Standard Admin funktioniert bin ich umgestiegen.
    Ich dachte ehrlich gesagt die ganze Zeit, dass es an meinem System liegt, aber es scheinen ja mehrere davon betroffen zu sein.
    Vielleicht gibts ja mal einen Fix, aber Hauptsache es funzt so erst mal.



Suggested Topics

1.1k
Online

32.5k
Users

39.1k
Topics

529.8k
Posts